<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>LibSylph: Member List</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.8 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="classes.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="classes.html"><span>Class&nbsp;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>Sylph::String Member List</h1>This is the complete list of members for <a class="el" href="class_sylph_1_1_string.html">Sylph::String</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#94d25c1160b15a75ee11e60cd90ac4b2">ascii</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#d5b85ee4276af4888c0fe000848b395c">at</a>(std::size_t idx) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#393489e1636d7b6155dd73a87a9bc4b7">contains</a>(const String other) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#0bb394e7350af86c341fc49007acc582">endsWith</a>(const String other) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#c4f44487d87c3cccb839271c34634a1a">equalsIgnoreCase</a>(const String other) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#30dd8de96b21b028d723d82158c9a5d9">indexOf</a>(const String substr, idx_t start=0) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#a08980eec0a9e8662876e22e1ca4e4b9">lastIndexOf</a>(const String substr) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#d73112dd65d5570b927dc3ac2889b6a4">lastIndexOf</a>(const String substr, idx_t end) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#9cc662b15783a2b3310a17ce29b2bf34">length</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#7c6cd45258aa88b36de81806d3ba8e83">operator const char *</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#1b1cfad99af2835a49cf0bd8060dc587">operator std::string</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#cec7eccb0954e56a1bfadf3094ebf392">startsWith</a>(const String other) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#2258d9abda8b9acf4ac8713a2d95eb4c">String</a>()</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#cb3bc2e2ad89911d3d99af5ca6f5d8c5">String</a>(const char *orig)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#a6698455c79ca67a4e72b602f8bd3818">String</a>(const Array&lt; uchar &gt; orig)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#9c8066ca369171614215843e898532c4">String</a>(const std::string &amp;orig)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#ba4d4e176215f6f050cc2c4649d05e30">String</a>(const String &amp;orig)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#9d681be3f56aecc9e2cd93d56f78b7a1">String</a>(const uchar c)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#1d264184e367aa1b00e4ff89ebc7e97a">String</a>(const bool b)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#4341d120bcd64d116f61f2a7777ae1c8">String</a>(const sint i)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#b78341f21d3502dd4ed5542a9b50bd4c">String</a>(const suint i)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#f64cddac466975c250957c3ec1b162b1">String</a>(const slong l)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#cb3da0afc113c96a9b9dea531ca8f416">String</a>(const sulong l)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#b461811ae829e10b71423fd8bb5661fa">String</a>(const float f)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#8e9f518c491c6273b0cd6e1717581387">String</a>(const double d)</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#40c9e2a6bf8678c5551a2e68648b6982">substring</a>(std::idx_t begin) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#e661f7b13a90d8f811a8b2f9e8ae2fa7">substring</a>(std::idx_t begin, std::idx_t end) const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#c03c7bcef5052c4dc631f2de6ec74c40">toLowerCase</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#ba1c630ce7a01e8f700e40ba9e0bfcc1">toUpperCase</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#5a0bedc4563e052c7094b4848c552d4f">trim</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#ce212df56667b8e4fdf6107f7e0772e3">utf16</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#cb57c977825c9db9d3f396947805027d">utf8</a>() const </td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="class_sylph_1_1_string.html#97f76b076e63c132aac3d93b28acd33e">~String</a>()</td><td><a class="el" href="class_sylph_1_1_string.html">Sylph::String</a></td><td><code> [virtual]</code></td></tr>
</table></div>
<hr size="1" class="unhidden"><address style="text-align: right;"><small>
Documentation for LibSylph by Doxygen
</body>
</html>
